package de.hft.stuttgart.citydoctor2.gui.tree;

import java.util.List;

import de.hft.stuttgart.citydoctor2.datastructure.Installation;
import de.hft.stuttgart.citydoctor2.gui.CheckStatus;
import de.hft.stuttgart.citydoctor2.gui.Renderer;

public class AllInstallationsNode extends Renderable {
	
	private List<Installation> buildingInstallations;
	
	public AllInstallationsNode(List<Installation> bis) {
		this.buildingInstallations = bis;
	}
	
	@Override
	public String getText() {
		return "Building Installations";
	}

	@Override
	public void visit(Renderer renderer) {
		renderer.clearCurrentRender();
	}

	@Override
	public void refreshTextColor() {
		boolean wasChecked = false;
		for (Installation bp : buildingInstallations) {
			if (bp.isValidated()) {
				wasChecked = true;
				if (bp.containsAnyError()) {
					setStatus(CheckStatus.ERROR);
					return;
				}
			}
		}
		if (wasChecked) {
			setStatus(CheckStatus.OK);
		} else {
			setStatus(CheckStatus.NOT_CHECKED);
		}
	}

}